August 13, 2017

Mengganti Versi PHP CLI di Ubuntu

Share this
  • 1
  •  
  •  
  •  
  •  
  •  
    1
    Share

Mengganti Versi PHP CLI di Ubuntu. Assalamualaikum wr wb, pada kesempatan kali ini saya akan sharing tentang cara mengganti versi PHP CLI di Ubuntu dengan webserver Apache. Pada tutorial saya yang sebelumnya, saya pernah membahas tentang bagaimana cara menginstall php 5 dan php 7. Dalam tutorial itu dijelaskan bagaimana cara mengganti versi php menggunakan a2dismod dan a2enmod.

Ketika kita mengecek versi php menggunakan phpinfo(), benar bahwa versi php sudah berubah sesuai dengan perintah yang kita masukkan pada command line. Tetapi pada waktu kita mengecek menggunakan perintah php -v pada terminal. Versi PHP masih menunjukkan versi current, atau tidak berubah.

Mengganti Versi PHP CLI di Ubuntu

Perbandingan Versi PHP antara PHP CLI & PHP apache module

Hal ini terjadi karena PHP yang berjalan pada layanan Apache berbeda dengan PHP yang terdapat command line (PHP CLI), sehingga untuk penyesuaian versi PHP CLI harus menggunakan perintah tambahan.

Mengganti Versi PHP CLI di Ubuntu

Kita dapat dengan mudah mengganti versi PHP CLI dengan perintah sebagai berikut.

PHP 7.1 ke 5.6

PHP 5.6 ke 7.1

Di bawah ini adalah contoh dimana saya mengganti versi  PHP dari PHP 5.6 ke PHP 7.1 . Setelah kita eksekusi script di atas, versi PHP antara PHP CLI dan PHP apache module sudah sama.

Mengganti Versi PHP CLI di Ubuntu

Mengganti Versi PHP CLI di Ubuntu

Cukup mudah bukan 😀 , selanjutnya anda bisa menyesuaikan dengan versi PHP mana yang ingin anda gunakan dan tidak ada lagi perbedaan antara PHP CLI dan PHP apache module. Semoga tulisan saya yang singkat ini dapat bermanfaat. Terimakasih.

Agus Wiji Suhariono

Memulai menulis Blog pada bulan November dari Tahun 2015. Penulis merupakan alumni dari Politeknik Negeri Malang angkatan 2011 Program Studi Manajemen Informatika, Jurusan Elektro. Penulis memulai menekuni dunia programming mulai tahun 2014 dan sekarang bekerja di Pemerintahan sebagai IT Staff.

You may also like...